GroovyPagesJspFactory (Grails 3.0.10.BUILD-SNAPSHOT)
Date: 2015-12-03

Package: org.grails.gsp.jsp

## [Groovy] Class GroovyPagesJspFactory

- org.grails.gsp.jsp.GroovyPagesJspFactory

- Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `javax.servlet.jsp.JspEngineInfo` | `getEngineInfo()`
    `javax.servlet.jsp.JspApplicationContext` | `getJspApplicationContext(javax.servlet.ServletContext servletContext)`
    `javax.servlet.jsp.PageContext` | `getPageContext(javax.servlet.Servlet servlet, javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse, java.lang.String s, boolean b, int i, boolean b1)`
    `protected java.lang.String` | `getSpecificationVersion()`
    `void` | `releasePageContext(javax.servlet.jsp.PageContext pageContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class javax.servlet.jsp.JspFactory` | `javax.servlet.jsp.JspFactory#setDefaultFactory(javax.servlet.jsp.JspFactory), javax.servlet.jsp.JspFactory#getDefaultFactory(), javax.servlet.jsp.JspFactory#getPageContext(javax.servlet.Servlet, javax.servlet.ServletRequest, javax.servlet.ServletResponse, java.lang.String, boolean, int, boolean), javax.servlet.jsp.JspFactory#releasePageContext(javax.servlet.jsp.PageContext), javax.servlet.jsp.JspFactory#getJspApplicationContext(javax.servlet.ServletContext), javax.servlet.jsp.JspFactory#getEngineInfo(), javax.servlet.jsp.JspFactory#wait(long, int), javax.servlet.jsp.JspFactory#wait(long), javax.servlet.jsp.JspFactory#wait(), javax.servlet.jsp.JspFactory#equals(java.lang.Object), javax.servlet.jsp.JspFactory#toString(), javax.servlet.jsp.JspFactory#hashCode(), javax.servlet.jsp.JspFactory#getClass(), javax.servlet.jsp.JspFactory#notify(), javax.servlet.jsp.JspFactory#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### javax.servlet.jsp.JspEngineInfo getEngineInfo()

    - #### javax.servlet.jsp.JspApplicationContext getJspApplicationContext(javax.servlet.ServletContext servletContext)

    - #### javax.servlet.jsp.PageContext getPageContext(javax.servlet.Servlet servlet, javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse, java.lang.String s, boolean b, int i, boolean b1)

    - #### protected java.lang.String getSpecificationVersion()

    - #### void releasePageContext(javax.servlet.jsp.PageContext pageContext)